package com.duanledexianxianxian.data.process;

import com.google.common.base.Objects;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * The type Model.
 *
 * @author duanledexianxianxian
 */
@Data
public class Model implements Serializable {
    private Long id;
    private Long pId;
    private String grade;
    private String nameCn;
    private String nameEn;
    private String orders;
    private String regCode;
    private String belongTo;
    private String pRegCode;
    /**
     * 0-国家
     * 1-省
     * 2-地级市/区
     * 3-县/区
     */
    private Integer type;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Model model = (Model) o;
        return Objects.equal(grade, model.grade) &&
                Objects.equal(nameCn, model.nameCn) &&
                Objects.equal(nameEn, model.nameEn) &&
                Objects.equal(orders, model.orders) &&
                Objects.equal(regCode, model.regCode) &&
                Objects.equal(belongTo, model.belongTo) &&
                Objects.equal(pRegCode, model.pRegCode) &&
                Objects.equal(type, model.type);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(grade, nameCn, nameEn, orders, regCode, belongTo, pRegCode, type);
    }
}
